#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "InputCoreTypes.h"
#include "EControlMode.h"
#include "InputBindingKeyData.generated.h"

UCLASS(Blueprintable)
class DBDUIVIEWINTERFACES_API UInputBindingKeyData : public UObject
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FKey Key;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EControlMode ControlMode;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float Scale;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsEnabled;

public:
	UInputBindingKeyData();
};

FORCEINLINE uint32 GetTypeHash(const UInputBindingKeyData) { return 0; }
